MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::ILayerItem Class Referenceabstract

`#include <MyGUI_ILayerItem.h>`

Inheritance diagram for MyGUI::ILayerItem:
[legend]

## Public Member Functions
virtual | ~ILayerItem ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)=0
virtual void | detachFromLayer ()=0
virtual void | upLayerItem ()=0

## Detailed Description

Definition at line 18 of file MyGUI_ILayerItem.h.

## Constructor & Destructor Documentation

virtual MyGUI::ILayerItem::~ILayerItem | ( |  | ) |
| inline virtual

Definition at line 21 of file MyGUI_ILayerItem.h.

## Member Function Documentation

virtual void MyGUI::ILayerItem::attachItemToNode | ( | ILayer * | _layer,
|  | ILayerNode * | _node
| ) |  |
| pure virtual

Implemented in MyGUI::LayerItem.

virtual void MyGUI::ILayerItem::detachFromLayer | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerItem.

virtual ILayerItem* MyGUI::ILayerItem::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| pure virtual

Implemented in MyGUI::Widget.

virtual const IntCoord& MyGUI::ILayerItem::getLayerItemCoord | ( |  | ) | const
| pure virtual

Implemented in MyGUI::Widget.

virtual void MyGUI::ILayerItem::resizeLayerItemView | ( | const IntSize & | _oldView,
|  | const IntSize & | _newView
| ) |  |
| pure virtual

virtual void MyGUI::ILayerItem::upLayerItem | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerItem.

The documentation for this class was generated from the following file:

- MyGUI_ILayerItem.h